# SPDX-License-Identifier: MIT
%global source_name        google-droid-fonts
%global source_summary     A set of general-purpose font families released by Google as part of Android
# No sane versionning upstream, use git clone timestamp
%global source_version     20200215
%global source_release     8
%global source_license     ASL 2.0
%global source_url         https://android.googlesource.com/
%global source_tags        %{expand:
BuildArch: noarch
}
%global source_description %{expand:
The Droid font family was designed in the fall of 2006 by Ascender’s Steve
Matteson, as a commission from Google to create a set of system font families for its
Android platform. The goal was to provide optimal quality and comfort on a
mobile handset when rendered in application menus, web browsers and for other
screen text.

The family was later extended in collaboration with other designers such as
Pascal Zoghbi of 29ArabicLetters.
}

%global default_fonts_foundry  Google
%global default_fonts_licenses NOTICE
%global default_fonts_docs     *.txt

%global fonts_family0             Droid Sans
%global fonts_summary0            Droid Sans, a humanist sans-serif font family
%global fonts_tags0               %{expand:
Obsoletes: google-droid-kufi-fonts < %{version}-%{release}
Suggests: font(notosans)
}
%global fonts_fonts0              DroidSans*ttf DroidKufi*ttf
%global fonts_fonts_exclude0      DroidSansMono*ttf DroidSansFallback.ttf DroidSansHebrew.ttf
%global fonts_experimental_confs0 65-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{?common_description}

Droid Sans is a humanist sans serif font family designed for user interfaces and electronic communication.

The Arabic block was initially designed by Steve Matteson of Ascender under the
Droid Kufi name, with consulting by Pascal Zoghbi of 29ArabicLetters to
finalize the font family.}

%global fonts_family1             Droid Sans Mono
%global fonts_summary1            Droid Sans Mono, a humanist mono-space sans-serif font family
%global fonts_tags1               %{expand:
Suggests: font(notosansmono)
}
%global fonts_fonts1              DroidSansMono*ttf
%global fonts_experimental_confs1 60-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{?common_description}

Droid Sans Mono is a humanist mono-space sans serif font family designed for
user interfaces and electronic communication.}

%global fonts_family2             Droid Serif
%global fonts_summary2            Droid Serif, a contemporary serif font family
%global fonts_tags2               %{expand:
Suggests: font(notoserif)
}
%global fonts_fonts2              DroidSerif*ttf DroidNaskh*ttf
%global fonts_fonts_exclude2      DroidNaskhUI-Regular.ttf DroidNaskh-Regular-Shift.ttf
%global fonts_experimental_confs2 65-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{?common_description}

Droid Serif is a contemporary serif typeface family designed for comfortable
reading on screen. Droid Serif is slightly condensed to maximize the amount of
text displayed on small screens. Vertical stress and open forms contribute to
its readability while its proportion and overall design complement its
companion Droid Sans.

The Arabic block was designed by Pascal Zoghbi of 29ArabicLetters under the
Droid Naskh name.}

%auto_init
%auto_pkg

%fontmetapkg

%sourcelist
%global archive_name google-droid-fonts-%{version}
%{archive_name}.tar.xz
# Brutal script used to pull sources from upstream git
# Needs at least 2 Gib of space in /var/tmp
getdroid.sh
65-%{fonts_name0}.xml
60-%{fonts_name1}.xml
65-%{fonts_name2}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
